html, body {
    font-family: 'Space Grotesk';
    background-color: #f8f9fa;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


.no-hover:hover {
    background-color: #fbfbfb !important;
}

.e-toolbar .e-toolbar-items {
    background-color: white !important;
}

.fixed-button-width {
    min-width: 100px;
}

.custom-other-button {
    color: #089608 !important;
}
.custom-other-button>.icon-button {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}
.custom-other-button > .icon-button > div{
    padding-left: 4px;
}

.e-primary > .icon-button {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}

.e-primary > .icon-button > div {
    padding-left: 4px;
}

.icon-label {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}

    .icon-label > div {
        padding-left: 4px;
    }



.e-grid .e-gridheader {
    border-bottom-style: solid;
    border-bottom-width: 0px !important;
    border-top-style: solid;
    border-top-width: 0px !important;
    color: #6b7280 !important;
}

/*.e-grid .e-headercell {
    background-color: transparent !important;
}*/
.e-grid .e-detailheadercell {
/*    background-color: white !important;*/
}

.e-grid .e-headercelldiv {
    font-size: 13px !important;
    text-transform: none !important;
}
.e-btn {
    font-weight: 500 !important;
    text-transform: uppercase !important;
    font-family: 'Oswald' !important;
    color: #089608;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12) !important;
    transition: box-shadow 0.3s ease-in-out !important;
    height: 2.2rem !important;
    margin-left: 5px;
    margin-right: 5px;
}
.e-btn:hover {
    box-shadow: 0px 3px 5px -1px rgba(0, 0, 0, 0.2), 0px 5px 8px 0px rgba(0, 0, 0, 0.14), 0px 1px 14px 0px rgba(0, 0, 0, 0.12) !important;
}

.e-btn-group > .e-btn {
    box-shadow: none !important;
    height:initial !important;
}
.e-btn-group > .e-btn:hover {
    box-shadow: none !important;
}

.e-btn.e-icon-btn.title-bar-btn, .e-rowcell > div > .e-caret-hide.e-btn.e-icon-btn.e-dropdown-btn, .e-rowheadercell > div > .e-caret-hide.e-btn.e-icon-btn.e-dropdown-btn, .e-headercelldiv .e-btn.e-icon-btn {
    box-shadow: none !important;
}


.e-dialog .e-footer-content .e-btn {
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12) !important;
    min-width: 100px;
}

.e-dialog .e-footer-content .e-btn:hover {
    color: black !important;
}

.e-datepicker {
    border-bottom: 1px solid #e2e2e2 !important;
}

e-input-group, .e-input-group.e-control-wrapper {
    /*border: none !important;*/
   /* border-bottom: 1px solid !important;*/
    border-top: 0px !important;
    border-right: 0px !important;
    border-left: 0px !important;
    box-shadow: none !important;
    border-radius: unset !important
}

.e-toolbar .e-toolbar-item .e-tbar-btn {
    font-weight: 500 !important;
    text-transform: uppercase !important;
    font-family: 'Oswald' !important;
    color: #089608 !important;
    box-shadow: none !important;
    transition: box-shadow 0.3s ease-in-out !important;
    height: 2.2rem !important;
    background-color: #ffffff !important;
    border-color: #d1d5db;
   
}

.e-toolbar .e-toolbar-item .e-tbar-btn:hover {
    background-color: #f2f2f2 !important;
    border-color: #d1d5db;
}

.e-toolbar .e-toolbar-item .e-tbar-btn .e-tbar-btn-text {
    color: #089608 !important;
       
}

.e-toolbar .e-toolbar-item .e-tbar-btn .e-icons {
    color: #089608 !important;
}

.e-appbar e-control e-lib e-light {
    width: 100% !important;
    padding-left: 20px !important;
    padding-bottom: 20px !important;
}

.e-checkbox-wrapper {
}

.e-accordion {
    /*background: #fff !important;*/
}

.accordion-item .e-acrdn-header {
    /*background: #fff !important;*/
}